Subject: Re: WARNING: Serious Pentium Bug
From: [email-masked] (Tim Iverson)

7 Nov 1997 21:08:52 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Cc: [email-masked]

Just to keep everyone from getting too scared, this really would only matter
for secure sites with multiple users -- that particular sequence is a
nonsense instruction.  The only folks using it would be those deliberately
wanting to bring the system down.

 Here it is decoded: lock cmpxchg8b eax

BTW, I haven't tested it, so I don't know if this is even true.  It should
generate an illegal instruction exception, since the operand needs to be a
memory reference.

- Tim Iverson
  iverson@lionheart-com


+----------------
| Date: Fri, 7 Nov 1997 21:54:23 -0500
| From: Anonymous <[email-masked]>
| Subject: WARNING: Serious Pentium Bug
| To: [email-masked]
| 
| code will crash any machine running on a pentium CPU, MMX or no 
| char x [5] = { 0xf0, 0x0f, 0xc7, 0xc8 };
....
| This require no special permissions to run, it works fine with
| average-joe-userspace permissions. I have verified this, it works.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".